%if 0%{?el6}%{?el7}
    # python3 and python version related macros
    # required to build python3- subpackage
    # are not available in el6 and epel7
    %global with_python3    0
    %global __python2       %{__python}
    %global python2_sitelib %{python_sitelib}
%else
    %bcond_without python3
%endif

%if 0%{?el6}
    # sphinx.ext.viewcode required to build -doc subpackage
    # is not available in el6
    %global with_doc    0
%else
    %bcond_with doc
%endif

%global pkgname social-auth

Name:           python-%{pkgname}
Version:        0.2.11
Release:        1%{?dist}
Summary:        Social auth made simple
Group:          Development/Libraries
License:        BSD
URL:            http://psa.matiasaguirre.net/

Source0:        https://pypi.python.org/packages/source/p/%{name}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python-sphinx
BuildRequires:  python2-devel
BuildRequires:  python-setuptools
%if 0%{?with_python3}
BuildRequires:  python3-devel
BuildRequires:  python3-setuptools
%endif # with_python3

Requires:       python-oauthlib >= 0.3.8
Requires:       python-openid   >= 2.2
Requires:       python-requests >= 1.1.0
Requires:       python-requests-oauthlib >= 0.3.0
Requires:       python-six      >= 1.2.0

%description
Python Social Auth is an easy to setup social authentication/registration
mechanism with support for several frameworks and auth providers.

Crafted using base code from django-social-auth, implements a common interface
to define new authentication providers from third parties. And to bring support
for more frameworks and ORMs.

%if 0%{?with_doc}
%package doc
Summary:        Documentation for Python Social Auth
Group:          Documentation
Requires:       %{name} = %{version}-%{release}

%description doc
This package contains the documentation for %{name}.
%endif # with_doc

%if 0%{?with_python3}
%package -n python3-%{pkgname}
Summary:        Social auth made simple
Group:          Development/Libraries

Requires:       python3-oauthlib >= 0.3.8
Requires:       python3-openid   >= 3.0.1
Requires:       python3-requests >= 1.1.0
Requires:       python3-requests-oauthlib >= 0.3.0
Requires:       python3-six      >= 1.2.0

%description -n python3-%{pkgname}
Python Social Auth is an easy to setup social authentication/registration
mechanism with support for several frameworks and auth providers.

Crafted using base code from django-social-auth, implements a common interface
to define new authentication providers from third parties. And to bring support
for more frameworks and ORMs.

%if 0%{?with_doc}
%package -n python3-%{pkgname}-doc
Summary:        Documentation for Python Social Auth
Group:          Documentation
Requires:       python3-%{pkgname} = %{version}-%{release}

%description -n python3-%{pkgname}-doc
This package contains the documentation for %{name}.
%endif # with_doc
%endif # with_python3


%prep
%setup -q

%if 0%{?with_python3}
cp -a . %{py3dir}
%endif # with_python3


%build
%{__python2} setup.py build

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py build
popd
%endif # with_python3

# build documentation
%if 0%{?with_doc}
pushd docs
    make html
popd
%endif # with_doc


%install
%{__python2} setup.py install --skip-build --root %{buildroot}

%if 0%{?with_python3}
pushd %{py3dir}
%{__python3} setup.py install --skip-build --root %{buildroot}
popd
%endif # with_python3

# remove .po files
find %{buildroot} -name "*.po" | xargs rm -f


%files
%doc LICENSE README.rst
%dir %{python2_sitelib}/social
     %{python2_sitelib}/social/*.py
     %{python2_sitelib}/social/*.py[co]
%dir %{python2_sitelib}/social/apps
     %{python2_sitelib}/social/apps/*.py
     %{python2_sitelib}/social/apps/*.py[co]
%dir %{python2_sitelib}/social/apps/cherrypy_app
     %{python2_sitelib}/social/apps/cherrypy_app/*.py
     %{python2_sitelib}/social/apps/cherrypy_app/*.py[co]
%dir %{python2_sitelib}/social/apps/django_app
     %{python2_sitelib}/social/apps/django_app/*.py
     %{python2_sitelib}/social/apps/django_app/*.py[co]
%dir %{python2_sitelib}/social/apps/django_app/default
     %{python2_sitelib}/social/apps/django_app/default/*.py
     %{python2_sitelib}/social/apps/django_app/default/*.py[co]
%dir %{python2_sitelib}/social/apps/django_app/default/migrations
     %{python2_sitelib}/social/apps/django_app/default/migrations/*.py
     %{python2_sitelib}/social/apps/django_app/default/migrations/*.py[co]
%dir %{python2_sitelib}/social/apps/django_app/default/south_migrations
     %{python2_sitelib}/social/apps/django_app/default/south_migrations/*.py
     %{python2_sitelib}/social/apps/django_app/default/south_migrations/*.py[co]
%dir %{python2_sitelib}/social/apps/django_app/me
     %{python2_sitelib}/social/apps/django_app/me/*.py
     %{python2_sitelib}/social/apps/django_app/me/*.py[co]
%dir %{python2_sitelib}/social/apps/flask_app
     %{python2_sitelib}/social/apps/flask_app/*.py
     %{python2_sitelib}/social/apps/flask_app/*.py[co]
%dir %{python2_sitelib}/social/apps/flask_app/default
     %{python2_sitelib}/social/apps/flask_app/default/*.py
     %{python2_sitelib}/social/apps/flask_app/default/*.py[co]
%dir %{python2_sitelib}/social/apps/flask_app/me
     %{python2_sitelib}/social/apps/flask_app/me/*.py
     %{python2_sitelib}/social/apps/flask_app/me/*.py[co]
%dir %{python2_sitelib}/social/apps/pyramid_app
     %{python2_sitelib}/social/apps/pyramid_app/*.py
     %{python2_sitelib}/social/apps/pyramid_app/*.py[co]
%dir %{python2_sitelib}/social/apps/tornado_app
     %{python2_sitelib}/social/apps/tornado_app/*.py
     %{python2_sitelib}/social/apps/tornado_app/*.py[co]
%dir %{python2_sitelib}/social/apps/webpy_app
     %{python2_sitelib}/social/apps/webpy_app/*.py
     %{python2_sitelib}/social/apps/webpy_app/*.py[co]
%dir %{python2_sitelib}/social/backends
     %{python2_sitelib}/social/backends/*.py
     %{python2_sitelib}/social/backends/*.py[co]
%dir %{python2_sitelib}/social/pipeline
     %{python2_sitelib}/social/pipeline/*.py
     %{python2_sitelib}/social/pipeline/*.py[co]
%dir %{python2_sitelib}/social/storage
     %{python2_sitelib}/social/storage/*.py
     %{python2_sitelib}/social/storage/*.py[co]
%dir %{python2_sitelib}/social/strategies
     %{python2_sitelib}/social/strategies/*.py
     %{python2_sitelib}/social/strategies/*.py[co]
%dir %{python2_sitelib}/social/tests
     %{python2_sitelib}/social/tests/*.py
     %{python2_sitelib}/social/tests/*.py[co]
     %{python2_sitelib}/social/tests/requirements*.txt
%dir %{python2_sitelib}/social/tests/actions
     %{python2_sitelib}/social/tests/actions/*.py
     %{python2_sitelib}/social/tests/actions/*.py[co]
%dir %{python2_sitelib}/social/tests/backends
     %{python2_sitelib}/social/tests/backends/*.py
     %{python2_sitelib}/social/tests/backends/*.py[co]
%dir %{python2_sitelib}/social/tests/backends/data
     %{python2_sitelib}/social/tests/backends/data/saml_response.txt
     %{python2_sitelib}/python_social_auth-%{version}-py2.*.egg-info


%if 0%{?with_doc}
%files doc
%doc docs/_build/html
%endif # with_doc

%if 0%{?with_python3}
%files -n python3-%{pkgname}
%doc LICENSE README.rst
%dir %{python3_sitelib}/social
     %{python3_sitelib}/social/*.py
%dir %{python3_sitelib}/social/__pycache__
     %{python3_sitelib}/social/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps
     %{python3_sitelib}/social/apps/*.py
%dir %{python3_sitelib}/social/apps/__pycache__
     %{python3_sitelib}/social/apps/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/cherrypy_app
     %{python3_sitelib}/social/apps/cherrypy_app/*.py
%dir %{python3_sitelib}/social/apps/cherrypy_app/__pycache__
     %{python3_sitelib}/social/apps/cherrypy_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/django_app
     %{python3_sitelib}/social/apps/django_app/*.py
%dir %{python3_sitelib}/social/apps/django_app/__pycache__
     %{python3_sitelib}/social/apps/django_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/django_app/default
     %{python3_sitelib}/social/apps/django_app/default/*.py
%dir %{python3_sitelib}/social/apps/django_app/default/__pycache__
     %{python3_sitelib}/social/apps/django_app/default/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/django_app/default/migrations
     %{python3_sitelib}/social/apps/django_app/default/migrations/*.py
%dir %{python3_sitelib}/social/apps/django_app/default/migrations/__pycache__
     %{python3_sitelib}/social/apps/django_app/default/migrations/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/django_app/default/south_migrations
     %{python3_sitelib}/social/apps/django_app/default/south_migrations/*.py
%dir %{python3_sitelib}/social/apps/django_app/default/south_migrations/__pycache__
     %{python3_sitelib}/social/apps/django_app/default/south_migrations/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/django_app/me
     %{python3_sitelib}/social/apps/django_app/me/*.py
%dir %{python3_sitelib}/social/apps/django_app/me/__pycache__
     %{python3_sitelib}/social/apps/django_app/me/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/flask_app
     %{python3_sitelib}/social/apps/flask_app/*.py
%dir %{python3_sitelib}/social/apps/flask_app/__pycache__
     %{python3_sitelib}/social/apps/flask_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/flask_app/default
     %{python3_sitelib}/social/apps/flask_app/default/*.py
%dir %{python3_sitelib}/social/apps/flask_app/default/__pycache__
     %{python3_sitelib}/social/apps/flask_app/default/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/flask_app/me
     %{python3_sitelib}/social/apps/flask_app/me/*.py
%dir %{python3_sitelib}/social/apps/flask_app/me/__pycache__
     %{python3_sitelib}/social/apps/flask_app/me/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/pyramid_app
     %{python3_sitelib}/social/apps/pyramid_app/*.py
%dir %{python3_sitelib}/social/apps/pyramid_app/__pycache__
     %{python3_sitelib}/social/apps/pyramid_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/tornado_app
     %{python3_sitelib}/social/apps/tornado_app/*.py
%dir %{python3_sitelib}/social/apps/tornado_app/__pycache__
     %{python3_sitelib}/social/apps/tornado_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/apps/webpy_app
     %{python3_sitelib}/social/apps/webpy_app/*.py
%dir %{python3_sitelib}/social/apps/webpy_app/__pycache__
     %{python3_sitelib}/social/apps/webpy_app/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/backends
     %{python3_sitelib}/social/backends/*.py
%dir %{python3_sitelib}/social/backends/__pycache__
     %{python3_sitelib}/social/backends/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/pipeline
     %{python3_sitelib}/social/pipeline/*.py
%dir %{python3_sitelib}/social/pipeline/__pycache__
     %{python3_sitelib}/social/pipeline/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/storage
     %{python3_sitelib}/social/storage/*.py
%dir %{python3_sitelib}/social/storage/__pycache__
     %{python3_sitelib}/social/storage/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/strategies
     %{python3_sitelib}/social/strategies/*.py
%dir %{python3_sitelib}/social/strategies/__pycache__
     %{python3_sitelib}/social/strategies/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/tests
     %{python3_sitelib}/social/tests/requirements*.txt
     %{python3_sitelib}/social/tests/*.py
%dir %{python3_sitelib}/social/tests/__pycache__
     %{python3_sitelib}/social/tests/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/tests/actions
     %{python3_sitelib}/social/tests/actions/*.py
%dir %{python3_sitelib}/social/tests/actions/__pycache__
     %{python3_sitelib}/social/tests/actions/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/tests/backends
     %{python3_sitelib}/social/tests/backends/*.py
%dir %{python3_sitelib}/social/tests/backends/__pycache__
     %{python3_sitelib}/social/tests/backends/__pycache__/*.py[co]
%dir %{python3_sitelib}/social/tests/backends/data
     %{python3_sitelib}/social/tests/backends/data/saml_response.txt
     %{python3_sitelib}/python_social_auth-%{version}-py3.*.egg-info

%if 0%{?with_doc}
%files -n python3-%{pkgname}-doc
%doc docs/_build/html
%endif # with_doc
%endif # with_python3

%changelog
* Fri Jun 26 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.11-1
- rebase to 0.2.11

* Thu Jun 18 2015 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.2.10-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_23_Mass_Rebuild

* Tue Jun  9 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.10-1
- rebase to 0.2.10

* Wed Apr  1 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.3-1
- rebase to 0.2.3

* Tue Feb 24 2015 Jakub Dorňák <jdornak@redhat.com> - 0.2.2-1
- rebase to 0.2.2

* Tue Sep 30 2014 Jakub Dorňák <jdornak@redhat.com> - 0.2.1-1
- rebase to 0.2.1

* Fri Jun 27 2014 Jakub Dorňák <jdornak@redhat.com> - 0.1.26-1
- rebase to 0.1.26

* Sat Jun 07 2014 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.1.24-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_21_Mass_Rebuild

* Thu May 29 2014 Jakub Dorňák <jdornak@redhat.com> - 0.1.24-1
- rebase to 0.1.24

* Wed May 28 2014 Kalev Lember <kalevlember@gmail.com> - 0.1.23-2
- Rebuilt for https://fedoraproject.org/wiki/Changes/Python_3.4

* Fri Mar 28 2014 Jakub Dorňák <jdornak@redhat.com> - 0.1.23-1
- rebase to 0.1.23

* Fri Nov 29 2013 Jakub Dorňák <jdornak@redhat.com> - 0.1.17-1
- Initial package
